### Enumeration

# Qmi UimEventRegistrationFlag

since: 1.22.4

#### Declaration

    flags Qmi.UimEventRegistrationFlag

#### Description [src]

Flags to use to register to UIM indications.

Available since: 1.22.4

#### Members

`QMI_UIM_EVENT_REGISTRATION_FLAG_CARD_STATUS`

  Card status.

  - Value: `1`
  - Available since: 1.22.4
`QMI_UIM_EVENT_REGISTRATION_FLAG_SAP_CONNECTION`

  SAP connection.

  - Value: `2`
  - Available since: 1.22.4
`QMI_UIM_EVENT_REGISTRATION_FLAG_EXTENDED_CARD_STATUS`

  Extended card status.

  - Value: `4`
  - Available since: 1.22.4
`QMI_UIM_EVENT_REGISTRATION_FLAG_PHYSICAL_SLOT_STATUS`

  Physical slot status. Since 1.26.

  - Value: `16`
  - Available since: 1.22.4

#### Type functions

###### qmi_uim_event_registration_flag_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiUimEventRegistrationFlag` in `mask`.

since: 1.22.4